Ubuntu 21.04 (Hirsute Hippo) получает свой первый патч безопасности

Сегодня Canonical опубликовала первое обновление безопасности ядра Linux для своей последней версии операционной системы Ubuntu 21.04 (Hirsute Hippo), устраняющее три уязвимости и ошибку.

Ubuntu 21.04 был выпущен три недели назад и по умолчанию поставляется с ядром Linux 5.11, которое теперь исправлено командой Ubuntu устранив недавно обнаруженные уязвимости.

К ним относятся CVE-2021-3489 и CVE-2021-3490, две уязвимости, обнаруженные Рётой Шига и Манфредом Полом в реализации eBPF ядра Linux. Обе эти проблемы безопасности могут позволить локальному злоумышленнику вызвать сбой системы, вызвав отказ в обслуживании (DoS-атаку) или выполнить произвольный код.

В этом обновлении ядра также исправлена ​​уязвимость CVE-2021-3491, обнаруженная Билли Дженг Бинг-Джхонгом в реализации io_uring ядра Linux, которая может позволить локальному злоумышленнику вызвать отказ в обслуживании (сбой системы) или выполнить произвольный код.

Кроме того, первое обновление безопасности ядра Ubuntu 21.04 решает баг, обнаруженный Норбертом Слюсареком в реализации протокола CAN ISOTP ядра Linux. Чтобы решить этот баг, команде разработчиков ядра Ubuntu пришлось временно удалить поддержку SF_BROADCAST из реализации CAN ISOTP в ядрах Ubuntu 21.04. Этот баг может быть использован локальным злоумышленником для сбоя системы (отказ в обслуживании) или, возможно, для выполнения произвольного кода.

Чтобы исправить эти проблемы с безопасностью в Ubuntu 21.04 (Hirsute Hippo), пользователям необходимо будет обновить пакеты ядра до новых версий (linux-image 5.11.0-17.18 для 64-разрядной версии), которые доступны прямо сейчас в репозитории.

А на этом сегодня все, надеюсь, данная статья будет вам полезна.
Хотелось бы выразить огромную благодарность тем, кто принимает активное участие в жизни и развитии журнала, огромное спасибо вам за это.
Журнал Cyber-X

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *